cascading.util

## Interface CloseableIterator<V>

All Superinterfaces:
  java.lang.AutoCloseable, java.io.Closeable, java.util.Iterator<V>

All Known Implementing Classes:
  SingleCloseableInputIterator, SingleValueCloseableIterator

    public interface CloseableIterator<V>
    extends java.util.Iterator<V>, java.io.Closeable

Interface CloseableIterator is a helper interface granting an Iterator a close method.

### Method Summary

### Methods inherited from interface java.util.Iterator

`hasNext, next, remove`

### Methods inherited from interface java.io.Closeable

`close`